Skip to main content
PATCH
Update a Provider

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Path Parameters

id
string
required

Provider ID.

Example:

"smtp-primary"

Body

application/json

The provider members to update.

appId
string
clientId
string
clientId2
string
clientSecret
string
clientSecret2
string
content
string
customAuthUrl
string
customTokenUrl
string
customUserInfoUrl
string
disableSsl
boolean
domain
string
endpoint
string
host
string
intranetEndpoint
string
issuerUrl
string
method
string
name
string
port
integer<int64>
receiver
string
regionId
string
scopes
string
signName
string
subType
string
templateCode
string
title
string

Response

OK

appId
string
category
enum<string>
Available options:
Email,
SMS,
OAuth
Example:

"Email"

clientId
string
clientId2
string
content
string
createdAt
string
Example:

"2021-09-01T00:00:00Z"

customAuthUrl
string
customTokenUrl
string
customUserInfoUrl
string
disableSsl
boolean
domain
string
endpoint
string
host
string
id
string
Example:

"00000000-0000-0000-0000-000000000000"

intranetEndpoint
string
issuerUrl
string
method
string
name
string
Example:

"SMTP Corp"

port
integer<int64>
providerUrl
string
receiver
string
regionId
string
scopes
string
signName
string
subType
string
templateCode
string
title
string
type
enum<string>
Available options:
SendGrid,
Twilio SMS,
Twilio,
Google,
Microsoft,
Okta,
Custom
Example:

"SendGrid"